#
# spec file for package ocaml-uutf
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-uutf
Version:        1.0.4
Release:        1.1
%{?ocaml_preserve_bytecode}
Summary:        Non-blocking streaming Unicode codec for OCaml
License:        ISC
Group:          Development/Languages/OCaml
URL:            http://erratique.ch/software/uutf
Source0:        %name-%version.tar.xz
Patch0:         ocaml-uutf.patch
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20240909

%description
Uutf is a non-blocking streaming codec to decode and encode the UTF-8,
UTF-16, UTF-16LE and UTF-16BE encoding schemes. It can efficiently
work character by character without blocking on IO. Decoders perform
character position tracking and support newline normalization.

Functions are also provided to fold over the characters of UTF encoded
OCaml string values and to directly encode characters in OCaml
Buffer.t values.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version-%release

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='uutf'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Mon Mar  3 2025 ohering@suse.de
- Update to version 1.0.4
  see included CHANGES.md file for details
* Mon Apr  4 2022 ohering@suse.de
- Update to version 1.0.3
  See included CHANGES.md for details
* Thu Jan 21 2021 ohering@suse.de
- build with dune via ocaml-uutf.patch
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 1.0.2, via _service file
  Fix substring folding functionality.
* Fri Apr 20 2018 andy@onthewings.net
- Fix Source: url.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Sat Jul  8 2017 antoine.belvire@opensuse.org
- Fix oasis synopsis.
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Wed May 17 2017 olaf@aepfle.de
- Update to version 1.0.1:
  * OCaml 4.05.0 compatibility (removal of `Uchar.dump`).
* Tue May 16 2017 olaf@aepfle.de
- Build with oasis
* Sat Dec 24 2016 antoine.belvire@opensuse.org
- Update to version 1.0.0:
  * Uutf.String.fold_utf_{8,16be,16le}, allow substring folding
    via optional arguments.
  * OCaml standard library Uchar.t support:
    + Removes and substitutes type Uutf.uchar = int by the
    (abstract) Uchar.t type. Uchar.{of,to}_int allows to recover
    the previous representation.
    + Removes Uutf.{is_uchar,cp_to_string,pp_cp}.
    Uchar.{is_valid,dump} can be used instead.
  * Safe string support. Manual sources and destinations now work
    on bytes rather than strings.
  * Build depend on topkg.
  * Relicense from BSD3 to ISC.
* Thu Sep 22 2016 antoine.belvire@opensuse.org
- Initial package: ocaml-uutf-0.9.4
